Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.binder
Interface ObjectBinder

All Known Subinterfaces:
  ActionBeanBinder, ActionObjectBinder, ActionPresentationModelBinder, BeanBinder, PresentationModelBinder

All Known Implementing Classes:
  BeanBinderImpl, ObjectBinderImpl, PresentationModelBinderImpl

    public interface ObjectBinder

Describes a binder that can build action bindings from Actions, data bindings from ValueModels, and list bindings from ListModel/ListSelectionModel or a SelectionInList.

Since:
  2.3
Version:
  $Revision: 1.1 $
Author:
  Karsten Lentzsch

Method Summary
`ActionBindingBuilder` | `bind(Action action)` Creates and returns a binding builder that manages an Action that can be operated on and that can be bound to a button or text field.
`ListBindingBuilder` | `bind(ListModel listModel, ListSelectionModel listSelectionModel)` Creates and returns a binding builder that manages a ListModel plus ListSelectionModel that can be bound to a list or table.
`SelectionInListBindingBuilder` | `bind(SelectionInList<?> selectionInList)` Creates and returns a binding builder that manages a SelectionInList that can be bound to a list, table, or combo box.
`ValueModelBindingBuilder` | `bind(ValueModel valueModel)` Creates and returns a binding builder that manages a ValueModel that can be operated on and that can be bound to a component.

Method Detail

### bind

    ActionBindingBuilder bind(Action action)

  Creates and returns a binding builder that manages an Action that can be operated on and that can be bound to a button or text field.

  Example: `binder.bind(editAction).to(editButton);`

  Parameters:
    `action` - the Action to be bound
  Returns:
    the binding builder that holds the Action
  Throws:
    `NullPointerException` - if `action` if `null`

### bind

    ListBindingBuilder bind(ListModel listModel,
                            ListSelectionModel listSelectionModel)

  Creates and returns a binding builder that manages a ListModel plus ListSelectionModel that can be bound to a list or table.

  Example: `binder.bind(albumListModel, albumListSelectionModel).to(albumTable);`

  Parameters:
    `listModel` - the data model
    `listSelectionModel` - the selection model
  Returns:
    the binding builder that holds the data and selection model
  Throws:
    `NullPointerException` - if `listModel` or `listSelectionModel` is `null`

### bind

    SelectionInListBindingBuilder bind(SelectionInList<?> selectionInList)

  Creates and returns a binding builder that manages a SelectionInList that can be bound to a list, table, or combo box.

  Example: `binder.bind(albumSelectionInList).to(albumTable);`

  Parameters:
    `selectionInList` - provides both the data and selection
  Returns:
    the binding builder that holds the converted bean property
  Throws:
    `NullPointerException` - if `selectionInList` is `null`

### bind

    ValueModelBindingBuilder bind(ValueModel valueModel)

  Creates and returns a binding builder that manages a ValueModel that can be operated on and that can be bound to a component.

  Example: `binder.bind(aValueModel).to(aTextField);`

  Parameters:
    `valueModel` - the ValueModel to manage
  Returns:
    the binding builder that holds the ValueModel
  Throws:
    `NullPointerException` - if `valueModel` is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 JGoodies Karsten Lentzsch. All Rights Reserved.